/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteMethodResponseInput } from "../types/DeleteMethodResponseInput";
import { DeleteMethodResponseOutput } from "../types/DeleteMethodResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteMethodResponseInput";
export * from "../types/DeleteMethodResponseOutput";
export * from "../types/DeleteMethodResponseExceptionsUnion";
export declare class DeleteMethodResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteMethodResponseInput, OutputTypesUnion, DeleteMethodResponseOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteMethodResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteMethodResponseInput, DeleteMethodResponseOutput, _stream.Readable>;
    constructor(input: DeleteMethodResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteMethodResponseInput, DeleteMethodResponseOutput>;
}
