/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRequestValidatorInput } from "../types/DeleteRequestValidatorInput";
import { DeleteRequestValidatorOutput } from "../types/DeleteRequestValidatorOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteRequestValidatorInput";
export * from "../types/DeleteRequestValidatorOutput";
export * from "../types/DeleteRequestValidatorExceptionsUnion";
export declare class DeleteRequestValidatorCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRequestValidatorInput, OutputTypesUnion, DeleteRequestValidatorOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRequestValidatorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRequestValidatorInput, DeleteRequestValidatorOutput, _stream.Readable>;
    constructor(input: DeleteRequestValidatorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteRequestValidatorInput, DeleteRequestValidatorOutput>;
}
