/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetBasePathMappingInput } from "../types/GetBasePathMappingInput";
import { GetBasePathMappingOutput } from "../types/GetBasePathMappingOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetBasePathMappingInput";
export * from "../types/GetBasePathMappingOutput";
export * from "../types/GetBasePathMappingExceptionsUnion";
export declare class GetBasePathMappingCommand implements __aws_sdk_types.Command<InputTypesUnion, GetBasePathMappingInput, OutputTypesUnion, GetBasePathMappingOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetBasePathMappingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetBasePathMappingInput, GetBasePathMappingOutput, _stream.Readable>;
    constructor(input: GetBasePathMappingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetBasePathMappingInput, GetBasePathMappingOutput>;
}
