/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetGatewayResponseInput } from "../types/GetGatewayResponseInput";
import { GetGatewayResponseOutput } from "../types/GetGatewayResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetGatewayResponseInput";
export * from "../types/GetGatewayResponseOutput";
export * from "../types/GetGatewayResponseExceptionsUnion";
export declare class GetGatewayResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, GetGatewayResponseInput, OutputTypesUnion, GetGatewayResponseOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetGatewayResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetGatewayResponseInput, GetGatewayResponseOutput, _stream.Readable>;
    constructor(input: GetGatewayResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetGatewayResponseInput, GetGatewayResponseOutput>;
}
