/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetModelTemplateInput } from "../types/GetModelTemplateInput";
import { GetModelTemplateOutput } from "../types/GetModelTemplateOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetModelTemplateInput";
export * from "../types/GetModelTemplateOutput";
export * from "../types/GetModelTemplateExceptionsUnion";
export declare class GetModelTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, GetModelTemplateInput, OutputTypesUnion, GetModelTemplateOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetModelTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetModelTemplateInput, GetModelTemplateOutput, _stream.Readable>;
    constructor(input: GetModelTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetModelTemplateInput, GetModelTemplateOutput>;
}
