/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateAuthorizerInput } from "../types/UpdateAuthorizerInput";
import { UpdateAuthorizerOutput } from "../types/UpdateAuthorizerOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateAuthorizerInput";
export * from "../types/UpdateAuthorizerOutput";
export * from "../types/UpdateAuthorizerExceptionsUnion";
export declare class UpdateAuthorizerCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateAuthorizerInput, OutputTypesUnion, UpdateAuthorizerOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateAuthorizerInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateAuthorizerInput, UpdateAuthorizerOutput, _stream.Readable>;
    constructor(input: UpdateAuthorizerInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateAuthorizerInput, UpdateAuthorizerOutput>;
}
