/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateIntegrationResponseInput } from "../types/UpdateIntegrationResponseInput";
import { UpdateIntegrationResponseOutput } from "../types/UpdateIntegrationResponseOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateIntegrationResponseInput";
export * from "../types/UpdateIntegrationResponseOutput";
export * from "../types/UpdateIntegrationResponseExceptionsUnion";
export declare class UpdateIntegrationResponseCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateIntegrationResponseInput, OutputTypesUnion, UpdateIntegrationResponseOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateIntegrationResponseInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateIntegrationResponseInput, UpdateIntegrationResponseOutput, _stream.Readable>;
    constructor(input: UpdateIntegrationResponseInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateIntegrationResponseInput, UpdateIntegrationResponseOutput>;
}
