/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDocumentationVersionInput } from "../types/CreateDocumentationVersionInput";
import { CreateDocumentationVersionOutput } from "../types/CreateDocumentationVersionOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateDocumentationVersionInput";
export * from "../types/CreateDocumentationVersionOutput";
export * from "../types/CreateDocumentationVersionExceptionsUnion";
export declare class CreateDocumentationVersionCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDocumentationVersionInput, OutputTypesUnion, CreateDocumentationVersionOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDocumentationVersionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDocumentationVersionInput, CreateDocumentationVersionOutput, _stream.Readable>;
    constructor(input: CreateDocumentationVersionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateDocumentationVersionInput, CreateDocumentationVersionOutput>;
}
