/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateUsagePlanKeyInput } from "../types/CreateUsagePlanKeyInput";
import { CreateUsagePlanKeyOutput } from "../types/CreateUsagePlanKeyOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateUsagePlanKeyInput";
export * from "../types/CreateUsagePlanKeyOutput";
export * from "../types/CreateUsagePlanKeyExceptionsUnion";
export declare class CreateUsagePlanKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateUsagePlanKeyInput, OutputTypesUnion, CreateUsagePlanKeyOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: CreateUsagePlanKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateUsagePlanKeyInput, CreateUsagePlanKeyOutput, _stream.Readable>;
    constructor(input: CreateUsagePlanKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateUsagePlanKeyInput, CreateUsagePlanKeyOutput>;
}
