/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteStageInput } from "../types/DeleteStageInput";
import { DeleteStageOutput } from "../types/DeleteStageOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteStageInput";
export * from "../types/DeleteStageOutput";
export * from "../types/DeleteStageExceptionsUnion";
export declare class DeleteStageCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteStageInput, OutputTypesUnion, DeleteStageOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteStageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteStageInput, DeleteStageOutput, _stream.Readable>;
    constructor(input: DeleteStageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteStageInput, DeleteStageOutput>;
}
