/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteUsagePlanInput } from "../types/DeleteUsagePlanInput";
import { DeleteUsagePlanOutput } from "../types/DeleteUsagePlanOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteUsagePlanInput";
export * from "../types/DeleteUsagePlanOutput";
export * from "../types/DeleteUsagePlanExceptionsUnion";
export declare class DeleteUsagePlanCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteUsagePlanInput, OutputTypesUnion, DeleteUsagePlanOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteUsagePlanInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteUsagePlanInput, DeleteUsagePlanOutput, _stream.Readable>;
    constructor(input: DeleteUsagePlanInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteUsagePlanInput, DeleteUsagePlanOutput>;
}
