/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestInvokeMethodInput } from "../types/TestInvokeMethodInput";
import { TestInvokeMethodOutput } from "../types/TestInvokeMethodOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/TestInvokeMethodInput";
export * from "../types/TestInvokeMethodOutput";
export * from "../types/TestInvokeMethodExceptionsUnion";
export declare class TestInvokeMethodCommand implements __aws_sdk_types.Command<InputTypesUnion, TestInvokeMethodInput, OutputTypesUnion, TestInvokeMethodOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: TestInvokeMethodInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestInvokeMethodInput, TestInvokeMethodOutput, _stream.Readable>;
    constructor(input: TestInvokeMethodInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<TestInvokeMethodInput, TestInvokeMethodOutput>;
}
