/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateDomainNameInput } from "../types/UpdateDomainNameInput";
import { UpdateDomainNameOutput } from "../types/UpdateDomainNameOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateDomainNameInput";
export * from "../types/UpdateDomainNameOutput";
export * from "../types/UpdateDomainNameExceptionsUnion";
export declare class UpdateDomainNameCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateDomainNameInput, OutputTypesUnion, UpdateDomainNameOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateDomainNameInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateDomainNameInput, UpdateDomainNameOutput, _stream.Readable>;
    constructor(input: UpdateDomainNameInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateDomainNameInput, UpdateDomainNameOutput>;
}
